IRremoteESP8266

Public Member Functions | List of all members
IRHitachiAc264 Class Reference

Class for handling detailed Hitachi 264-bit A/C messages. More...

`#include <ir_Hitachi.h>`

Inheritance diagram for IRHitachiAc264:
[legend]
Collaboration diagram for IRHitachiAc264:
[legend]

## Public Member Functions
| IRHitachiAc264 (const uint16_t pin, const bool inverted=false, const bool use_modulation=true)
void | stateReset (void) override
| Reset the internal state to auto fan, cooling, 23° Celsius. More...
void | setRaw (const uint8_t new_code[], const uint16_t length=kHitachiAc264StateLength) override
| Set the internal state from a valid code for this protocol. More...
void | setFan (const uint8_t speed) override
| Set the speed of the fan. More...
uint8_t | convertFan (const stdAc::fanspeed_t speed) const override
| Convert a stdAc::fanspeed_t enum into it's native speed. More...
stdAc::fanspeed_t | toCommonFanSpeed (const uint8_t speed) const override
| Convert a native fan speed into its stdAc equivalent. More...
stdAc::state_t | toCommon (void) const override
| Convert the current internal state into its stdAc::state_t equivalent. More...
void | send (const uint16_t repeat=kHitachiAcDefaultRepeat) override
| Create and send the IR message to the A/C. More...
String | toString (void) const override
| Convert the internal state into a human readable string. More...
Public Member Functions inherited from IRHitachiAc424
| IRHitachiAc424 (const uint16_t pin, const bool inverted=false, const bool use_modulation=true)
| Class constructor. More...
int8_t | calibrate (void)
| Run the calibration to calculate uSec timing offsets for this platform. More...
void | begin (void)
| Set up hardware to be able to send a message. More...
void | on (void)
| Change the power setting to On. More...
void | off (void)
| Change the power setting to Off. More...
void | setPower (const bool on)
| Change the power setting. More...
bool | getPower (void) const
| Get the value of the current power setting. More...
void | setTemp (const uint8_t temp, bool setPrevious=true)
| Set the temperature. More...
uint8_t | getTemp (void) const
| Get the current temperature setting. More...
uint8_t | getFan (void) const
| Get the current fan speed setting. More...
uint8_t | getButton (void) const
| Get the Button/Command setting of the A/C. More...
void | setButton (const uint8_t button)
| Set the Button/Command pressed setting of the A/C. More...
void | setSwingVToggle (const bool on)
| Set the Vertical Swing toggle setting of the A/C. More...
bool | getSwingVToggle (void) const
| Get the Vertical Swing toggle setting of the A/C. More...
void | setMode (const uint8_t mode)
| Set the operating mode of the A/C. More...
uint8_t | getMode (void) const
| Get the operating mode setting of the A/C. More...
uint8_t * | getRaw (void)
| Get a PTR to the internal state/code for this protocol. More...

## Additional Inherited Members
Static Public Member Functions inherited from IRHitachiAc424
static uint8_t | convertMode (const stdAc::opmode_t mode)
| Convert a stdAc::opmode_t enum into its native mode. More...
static stdAc::opmode_t | toCommonMode (const uint8_t mode)
| Convert a native mode into its stdAc equivalent. More...

## Detailed Description

Class for handling detailed Hitachi 264-bit A/C messages.

## Constructor & Destructor Documentation

## ◆ IRHitachiAc264()

IRHitachiAc264::IRHitachiAc264 | ( | const uint16_t | pin,
|  | const bool | inverted = `false`,
|  | const bool | use_modulation = `true`
| ) |  |
| explicit

Parameters

  [in] | pin | GPIO to be used when sending.
  [in] | inverted | Is the output signal to be inverted?
  [in] | use_modulation | Is frequency modulation to be used?

## Member Function Documentation

## ◆ convertFan()

uint8_t IRHitachiAc264::convertFan | ( | const stdAc::fanspeed_t | speed | ) | const
| override virtual

Convert a stdAc::fanspeed_t enum into it's native speed.

Parameters

  [in] | speed | The enum to be converted.

Returns
  The native equivalent of the enum.

Reimplemented from IRHitachiAc424.

## ◆ send()

void IRHitachiAc264::send | ( | const uint16_t | repeat = `kHitachiAcDefaultRepeat` | ) |
| override virtual

Create and send the IR message to the A/C.

Parameters

  [in] | repeat | Nr. of times to repeat the message.

Reimplemented from IRHitachiAc424.

## ◆ setFan()

void IRHitachiAc264::setFan | ( | const uint8_t | speed | ) |
| override virtual

Set the speed of the fan.

Parameters

  [in] | speed | The desired setting.

Reimplemented from IRHitachiAc424.

## ◆ setRaw()

void IRHitachiAc264::setRaw | ( | const uint8_t | new_code[],
|  | const uint16_t | length = `kHitachiAc264StateLength`
| ) |  |
| override virtual

Set the internal state from a valid code for this protocol.

Parameters

  [in] | new_code | A valid code for this protocol.
  [in] | length | Size (in bytes) of the code for this protocol.

Reimplemented from IRHitachiAc424.

## ◆ stateReset()

void IRHitachiAc264::stateReset | ( | void |  | ) |
| override virtual

Reset the internal state to auto fan, cooling, 23° Celsius.

Reimplemented from IRHitachiAc424.

## ◆ toCommon()

stdAc::state_t IRHitachiAc264::toCommon | ( | void |  | ) | const
| override virtual

Convert the current internal state into its stdAc::state_t equivalent.

Returns
  The stdAc equivalent of the native settings.

Reimplemented from IRHitachiAc424.

## ◆ toCommonFanSpeed()

stdAc::fanspeed_t IRHitachiAc264::toCommonFanSpeed | ( | const uint8_t | speed | ) | const
| override virtual

Convert a native fan speed into its stdAc equivalent.

Parameters

  [in] | speed | The native setting to be converted.

Returns
  The stdAc equivalent of the native setting.

Reimplemented from IRHitachiAc424.

## ◆ toString()

String IRHitachiAc264::toString | ( | void |  | ) | const
| override virtual

Convert the internal state into a human readable string.

Returns
  A string containing the settings in human-readable form.

Reimplemented from IRHitachiAc424.

The documentation for this class was generated from the following files:

- src/ir_Hitachi.h
- src/ir_Hitachi.cpp